# Asterisk Project : Asterisk 13 Application_SayUnixTime

Created by wikibot on Aug 08, 2014

# SayUnixTime()

### Synopsis

Says a specified time in a custom format.

### Description

Uses some of the sound files stored in `/var/lib/asterisk/sounds` to construct a phrase saying the specified date and/or time in the specified format.

### Syntax

    SayUnixTime([unixtime,[timezone,[format,[options]]]])

##### Arguments

- `unixtime` - time, in seconds since Jan 1, 1970. May be negative. Defaults to now.
- `timezone` - timezone, see `/usr/share/zoneinfo` for a list. Defaults to machine default.
- `format` - a format the time is to be said in. See `voicemail.conf`. Defaults to `ABdY "digits/at" IMp`
- `options`
  - `j` - Allow the calling user to dial digits to jump to that extension. This option is automatically enabled if `SAY_DTMF_INTERRUPT` is present on the channel and set to 'true' (case insensitive)

### See Also

- Asterisk 13 Function_STRFTIME
- Asterisk 13 Function_STRPTIME
- Asterisk 13 Function_IFTIME

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538